Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.deployment.jboss.metadata
Class JBossApplicationMetaData

    java.lang.Object
      org.jboss.portal.portlet.deployment.jboss.metadata.JBossApplicationMetaData

Direct Known Subclasses:
  JBossApplicationMetaData

    public class JBossApplicationMetaData

extends java.lang.Object

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Field Summary
`protected java.lang.String` | `id` The application id that overrides the context path.
`protected java.util.Map<java.lang.String,JBossPortletMetaData>` | `portlets` .
`protected java.lang.Boolean` | `remotable` .

Constructor Summary
`JBossApplicationMetaData()`

Method Summary
`java.lang.String` | `getId()`
`java.util.Map<java.lang.String,JBossPortletMetaData>` | `getPortlets()`
`java.lang.Boolean` | `getRemotable()`
`void` | `setId(java.lang.String id)`
`void` | `setRemotable(java.lang.Boolean remotable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### remotable

    protected java.lang.Boolean remotable

  .

### id

    protected java.lang.String id

  The application id that overrides the context path.

### portlets

    protected java.util.Map<java.lang.String,JBossPortletMetaData> portlets

  .

Constructor Detail

### JBossApplicationMetaData

    public JBossApplicationMetaData()

Method Detail

### getPortlets

    public java.util.Map<java.lang.String,JBossPortletMetaData> getPortlets()

### getRemotable

    public java.lang.Boolean getRemotable()

### setRemotable

    public void setRemotable(java.lang.Boolean remotable)

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD